All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::detail::default_deleter< U > Struct Template Reference

Default deleter class for a pointer. The default is to just call 'delete' on the pointer. Provide your own implementations for 'delete[]' and 'free'. More...

`#include <shared_ptr.hpp>`

## Public Member Functions

void | operator() (U *p) const

## Detailed Description

### template<class U>
struct viennacl::tools::detail::default_deleter< U >

Default deleter class for a pointer. The default is to just call 'delete' on the pointer. Provide your own implementations for 'delete[]' and 'free'.

Definition at line 74 of file shared_ptr.hpp.

## Member Function Documentation

template<class U >

void viennacl::tools::detail::default_deleter< U >::operator() | ( | U * | p | ) | const

inline

Definition at line 76 of file shared_ptr.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/shared_ptr.hpp